Name:           cockpit-composer
Version:        50
Release:        22.20240814124112543041.main.21.g9fe3c697%{?dist}
Summary:        Composer GUI for use with Cockpit

License:        MIT
URL:            http://weldr.io/
Source0:        cockpit-composer-50.tar.gz

BuildArch:      noarch
BuildRequires:  libappstream-glib

Requires:       cockpit
%if 0%{?fedora} >= 33 || 0%{?rhel} >= 8
Requires: osbuild-composer >= 28
%else
Requires: weldr
Suggests: osbuild-composer >= 28
%endif

%description
Composer generates custom images suitable for deploying systems or uploading to
the cloud. It integrates into Cockpit as a frontend for osbuild.

%prep
%setup -q -n cockpit-composer

%build
# Nothing to build

%install
mkdir -p %{buildroot}/%{_datadir}/cockpit/composer
cp -a public/* %{buildroot}/%{_datadir}/cockpit/composer
mkdir -p %{buildroot}/%{_datadir}/metainfo/
appstream-util validate-relax --nonet public/org.image-builder.cockpit-composer.metainfo.xml
cp -a public/org.image-builder.cockpit-composer.metainfo.xml %{buildroot}/%{_datadir}/metainfo/ 

%files
%doc README.md
%license LICENSE.txt
%{_datadir}/cockpit/composer
%{_datadir}/metainfo/*

%changelog
* Wed Aug 14 2024 Packit <hello@packit.dev> - 50-22.20240814124112543041.main.21.g9fe3c697
- Translations from Weblate (Weblate)
- test: adapt to testlib 321 (Sanne Raymaekers)
- test: add rhel-10 (Sanne Raymaekers)
- Makefile: update cockpit test/common to 321 (Sanne Raymaekers)
- test: more generous timeout when searching for packages (Sanne Raymaekers)
- test: depsolve blueprint on setup (Sanne Raymaekers)
- test/reference-image: switch to fedora-40 (Sanne Raymaekers)
- test: switch to testing rhel-95, drop rhel-810 tests (Sanne Raymaekers)
- Makefile: set default test OS to fedora-40 (Sanne Raymaekers)
- packit: build RPMs in COPR for commits to `main` (Gianluca Zuccarelli)
- createimagewizard: new edge types (Gianluca Zuccarelli)
- blueprintwizard: remove empty customizations (Gianluca Zuccarelli)
- build(deps-dev): bump sass from 1.71.1 to 1.77.4 (dependabot[bot])
- build(deps-dev): bump @babel/preset-env from 7.23.9 to 7.24.6 (dependabot[bot])
- ci: Add PR best practices check (Simon Steinbeiss)
- misc: move to new tasks container location (Allison Karlitskaya)
- build(deps-dev): bump @babel/core from 7.23.9 to 7.24.0 (dependabot[bot])
- build(deps): bump react-router-dom from 6.14.2 to 6.22.2 (dependabot[bot])
- Translations from Weblate (Weblate)
- build(deps-dev): bump webpack from 5.90.1 to 5.90.3 (dependabot[bot])
- App.js: add polling for blueprints and images (jkozol)
